> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1rolegetidentities



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json post /api/v1/Role/GetIdentities
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/Role/GetIdentities:
    post:
      tags:
        - Role
      operationId: Role_GetIdentities
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetIdentitiesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIdentitiesResult'
components:
  schemas:
    GetIdentitiesRequest:
      type: object
      additionalProperties: false
      properties:
        Identities:
          type: array
          nullable: true
          items:
            type: string
    GetIdentitiesResult:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Identities'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    Identities:
      type: object
      additionalProperties: false
      properties:
        Identity:
          type: string
          nullable: true
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string

````